<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__lpa__log__level" kind="group">
    <compoundname>Group_lpa_log_level</compoundname>
    <title>Group_lpa_log_level</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__lpa__log__level_1gad72047bf5ca91a1c3b3e1f99b07f6e77" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int ol_log_get_level</definition>
        <argsstring>(LOG_OFFLOAD_ASSIST_T assist)</argsstring>
        <name>ol_log_get_level</name>
        <param>
          <type><ref kindref="member" refid="group__group__loglevel__enum_1gaed8d713d5472a20438e48a958d960daa">LOG_OFFLOAD_ASSIST_T</ref></type>
          <declname>assist</declname>
        </param>
        <briefdescription>
<para>This function gets log level for a facility. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>assist</parametername>
</parameternamelist>
<parameterdescription>
<para>: Offload Assistant type <ref kindref="member" refid="group__group__loglevel__enum_1gaed8d713d5472a20438e48a958d960daa">LOG_OFFLOAD_ASSIST_T</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>: currently set log level : -1 BAD ARGS </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="187" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpa__log__level_1ga066150dba6c2efeca654cac95808702c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int ol_log_set_level</definition>
        <argsstring>(LOG_OFFLOAD_ASSIST_T assist, LOG_OFFLOAD_ASSIST_LEVEL_T level)</argsstring>
        <name>ol_log_set_level</name>
        <param>
          <type><ref kindref="member" refid="group__group__loglevel__enum_1gaed8d713d5472a20438e48a958d960daa">LOG_OFFLOAD_ASSIST_T</ref></type>
          <declname>assist</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__loglevel__enum_1gaa45e959559f8cd7cad6413f0f6e759ca">LOG_OFFLOAD_ASSIST_LEVEL_T</ref></type>
          <declname>level</declname>
        </param>
        <briefdescription>
<para>This function sets log level for a facility. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>assist</parametername>
</parameternamelist>
<parameterdescription>
<para>: Offload Assistant type <ref kindref="member" refid="group__group__loglevel__enum_1gaed8d713d5472a20438e48a958d960daa">LOG_OFFLOAD_ASSIST_T</ref> </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>level</parametername>
</parameternamelist>
<parameterdescription>
<para>: Offload assist logging level <ref kindref="member" refid="group__group__loglevel__enum_1gaa45e959559f8cd7cad6413f0f6e759ca">LOG_OFFLOAD_ASSIST_LEVEL_T</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>: 0 = success -1 = BAD ARGS </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="198" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lpa__log__level_1ga125e251b0e7d9f20a923cc4b75a2466f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int ol_logging</definition>
        <argsstring>(LOG_OFFLOAD_ASSIST_T assist, LOG_OFFLOAD_ASSIST_LEVEL_T level, const char *fmt,...)</argsstring>
        <name>ol_logging</name>
        <param>
          <type><ref kindref="member" refid="group__group__loglevel__enum_1gaed8d713d5472a20438e48a958d960daa">LOG_OFFLOAD_ASSIST_T</ref></type>
          <declname>assist</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__loglevel__enum_1gaa45e959559f8cd7cad6413f0f6e759ca">LOG_OFFLOAD_ASSIST_LEVEL_T</ref></type>
          <declname>level</declname>
        </param>
        <param>
          <type>const char *</type>
          <declname>fmt</declname>
        </param>
        <param>
          <type>...</type>
        </param>
        <briefdescription>
<para>This function prints logging if levels are correct. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>assist</parametername>
</parameternamelist>
<parameterdescription>
<para>: Offload Assistant type <ref kindref="member" refid="group__group__loglevel__enum_1gaed8d713d5472a20438e48a958d960daa">LOG_OFFLOAD_ASSIST_T</ref> </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>level</parametername>
</parameternamelist>
<parameterdescription>
<para>: Offload assist logging level <ref kindref="member" refid="group__group__loglevel__enum_1gaa45e959559f8cd7cad6413f0f6e759ca">LOG_OFFLOAD_ASSIST_LEVEL_T</ref> </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>fmt</parametername>
</parameternamelist>
<parameterdescription>
<para>: Format string like printf() </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>...</parametername>
</parameternamelist>
<parameterdescription>
<para>: variable argument list for printf</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>: # characters printed </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_olm.h" line="210" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>